#include<bits/stdc++.h>

using namespace std;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    long long n, k;
    cin >> n >> k;
    vector<char> a(n);
    for(int i=0;i<n;i++) {
        cin >> a[i];
    }
    /*for(int i=0; i<n; i++) {
        cout << (int)a[i] - 97  << " ";
    }*/
    vector<long long> pom(k+1);
    pom[(int)a[0] - 97] ++;
    for(int i=0; i<n; i++) {
        pom[(int)a[i+1] - 97] ++;
        if(pom[(int)a[i]-97] == pom[(int)a[i+1]-97]) {
            cout << pom[(int)a[i]-97] << " ";
        }
        else if(i == n-1) {
            cout<<pom[(int)a[i] - 97] << " ";
        }
        else {
            cout << pom[(int)a[i+1]-97] << " ";
        }
    }
    return 0;
}